#-----------------------------------------------------------------------------
#
#   Supersymmetry - Constants
#
#-----------------------------------------------------------------------------

SIDE_NONE = -1
SIDE_E = 0
SIDE_S = 1
SIDE_W = 2
SIDE_N = 3

direction_vectors = [(1, 0), (0, 1), (-1, 0), (0, -1)]

TILE_NONE = 0

TILE_SIZE = 32

GRID_ROWS = 19
GRID_COLS = 31

LEVEL1_GRID_SIZE = 5
#FUNDS_PER_LEVEL = 1000000
#LAST_LEVEL_NO = 3
PIPE_ENERGY = 1

mil = 1000000

STARTING_FUNDS = 2000 * mil
MAX_CARRY_FORWARD = 1000 * mil
EXTRA_FUNDS = 5000 * mil
INTEREST_RATE = 1.1

PIPE_COST = 300 * mil
CORNER_COST = 600 * mil
CROSS_COST = 450 * mil
CAP_COST = 50 * mil
PLACEMENT_COST = 0
REMOVAL_COST = 50 * mil
RUNNING_COST = 1 * mil

ORDER_MULTIPLIER = 1.2

MEAN_DETECTION_TIME = 10.0
SD_DETECTION_TIME = 3.0

MIN_OBSTACLES = 10
MAX_OBSTACLES = 20
